> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Automate

> This endpoint allows you to set automation for a wallet.



## OpenAPI

````yaml openapi.json post /automate
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /automate:
    post:
      tags:
        - Wallet
      summary: Automate
      description: This endpoint allows you to set automation for a wallet.
      operationId: automateWallet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AutomateRequest'
      responses:
        '200':
          description: Automation set successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomateResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AutomateRequest:
      type: object
      required:
        - wallet_id
      properties:
        wallet_id:
          type: string
          description: The wallet ID to set automation for
          example: 68bc290df51feea8c53f5275
        transfer:
          type: boolean
          description: Whether to enable automatic transfer
          example: false
        swap:
          type: boolean
          description: Whether to enable automatic swap
          example: false
        offramp:
          type: boolean
          description: Whether to enable automatic offramp
          example: true
        beneficiary_id:
          type: string
          description: >-
            The beneficiary ID for offramp automation. Required when **offramp**
            is `true`.
          example: 68bf2eba196a18d7bd166184
    AutomateResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Automation set successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-10T00:52:59.708Z'
        data:
          type: object
          properties:
            transfer:
              type: boolean
              example: false
            swap:
              type: boolean
              example: false
            offramp:
              type: boolean
              example: true
            beneficiary_id:
              type: string
              example: 68bf2eba196a18d7bd166184
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````